import RDSDataService from 'aws-sdk/clients/rdsdataservice';
import _createAdapter from '@resolve-js/readmodel-base';
import crypto from 'crypto';
import _connect from './connect';
import coercer from './coercer';
import escapeId from './escape-id';
import escapeStr from './escape-str';
import dropReadModel from './drop-read-model';
import resubscribe from './resubscribe';
import unsubscribe from './unsubscribe';
import reset from './reset';
import pause from './pause';
import resume from './resume';
import status from './status';
import build from './build';
import isHighloadError from './is-highload-error';

const defineTable = async (...args) => {
  return;
};

const find = async (...args) => {
  return [];
};

const findOne = async (...args) => {
  return null;
};

const count = async (...args) => {
  return 0;
};

const insert = async (...args) => {
  return;
};

const update = async (...args) => {
  return;
};

const del = async (...args) => {
  return;
};

const store = {
  defineTable,
  find,
  findOne,
  count,
  insert,
  update,
  delete: del
};
const internalMethods = {
  coercer,
  isHighloadError,
  dropReadModel,
  escapeId,
  escapeStr
};

const subscribe = async (...args) => {
  return;
};

const externalMethods = {
  subscribe,
  resubscribe,
  unsubscribe,
  resume,
  pause,
  reset,
  status,
  build
};

const connect = _connect.bind(null, {
  RDSDataService,
  crypto,
  ...internalMethods,
  ...externalMethods,
  ...store
}); //eslint-disable-next-line @typescript-eslint/no-empty-function


const disconnect = async () => {};

const implementation = { ...store,
  ...externalMethods,
  connect,
  disconnect
};

const createAdapter = _createAdapter.bind(null, implementation);

export default createAdapter;
//# sourceMappingURL=index.js.map