"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const wrapHighload = async (isHighloadError, obj, method, params) => {
  while (true) {
    try {
      return await obj[method](params).promise();
    } catch (error) {
      if (isHighloadError(error)) {
        const jitterDelay = Math.floor(250 + Math.random() * 750);
        await new Promise(resolve => setTimeout(resolve, jitterDelay));
      } else {
        throw error;
      }
    }
  }
};

const connect = async (imports, pool, options) => {
  let {
    dbClusterOrInstanceArn,
    awsSecretStoreArn,
    databaseName,
    targetEventStore,
    ...connectionOptions
  } = options;

  if (databaseName == null || databaseName.constructor !== String) {
    throw new Error(`Wrong database name: ${databaseName}`);
  }

  const rawRdsDataService = new imports.RDSDataService(connectionOptions);
  const rdsDataService = {
    executeStatement: wrapHighload.bind(null, imports.isHighloadError, rawRdsDataService, 'executeStatement')
  };
  Object.assign(pool, {
    rdsDataService,
    dbClusterOrInstanceArn,
    awsSecretStoreArn,
    targetEventStore,
    ...imports
  });
};

var _default = connect;
exports.default = _default;
//# sourceMappingURL=connect.js.map