"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const rawExecuteStatement = async (rdsDataService, dbClusterOrInstanceArn, awsSecretStoreArn, coercer, sql) => {
  //console.log('SQL:', sql)
  const result = await rdsDataService.executeStatement({
    resourceArn: dbClusterOrInstanceArn,
    secretArn: awsSecretStoreArn,
    database: 'postgres',
    continueAfterTimeout: false,
    includeResultMetadata: true,
    sql
  });
  const {
    columnMetadata,
    records
  } = result;

  if (!Array.isArray(records) || columnMetadata == null) {
    return [];
  }

  const rows = [];

  for (const record of records) {
    const row = {};

    for (let i = 0; i < columnMetadata.length; i++) {
      const columnName = columnMetadata[i].name;

      if (columnName != null) {
        row[columnName] = coercer(record[i]);
      }
    }

    rows.push(row);
  }

  return rows;
};

var _default = rawExecuteStatement;
exports.default = _default;
//# sourceMappingURL=raw-execute-statement.js.map